## ros-kinetic-kobuki-node 0.7.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(kobuki_node)
find_package(catkin REQUIRED COMPONENTS rospy roscpp nodelet pluginlib tf angles
                                        geometry_msgs sensor_msgs nav_msgs std_msgs diagnostic_updater diagnostic_msgs
                                        kobuki_msgs kobuki_driver kobuki_keyop kobuki_safety_controller
                                        ecl_exceptions ecl_sigslots ecl_streams ecl_threads)

catkin_package(
   INCLUDE_DIRS include
   LIBRARIES kobuki_ros kobuki_nodelet
   CATKIN_DEPENDS rospy roscpp nodelet pluginlib tf angles
                  geometry_msgs sensor_msgs nav_msgs std_msgs diagnostic_updater diagnostic_msgs
                  kobuki_msgs kobuki_driver kobuki_keyop kobuki_safety_controller
                  ecl_exceptions ecl_sigslots ecl_streams ecl_threads
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_subdirectory(src)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(DIRECTORY plugins
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY param
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY image
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(PROGRAMS scripts/getOdom2D.py
                 scripts/getYaw.py
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== src/library/CMakeLists.txt ===
##############################################################################
# SOURCES
##############################################################################

file(GLOB SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)

##############################################################################
# LIBRARY
##############################################################################

add_library(kobuki_ros ${SOURCES})
add_dependencies(kobuki_ros ${catkin_EXPORTED_TARGETS})
target_link_libraries(kobuki_ros ${catkin_LIBRARIES})

install(TARGETS kobuki_ros
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-kobuki-node (0.7.6-0xenial) xenial; urgency=high

  * Use more finite values for initial odometry covariance (i.e. not DBL_MAX) so as not to cause problems upstream

 -- Daniel Stonier <stonier@yujinrobot.com>  Wed, 14 Mar 2018 04:00:00 -0000

ros-kinetic-kobuki-node (0.6.6-0xenial) xenial; urgency=high

  * install image directory closes #357 <https://github.com/yujinrobot/kobuki/issues/357>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <stonier@yujinrobot.com>  Wed, 27 May 2015 04:00:00 -0000

ros-kinetic-kobuki-node (0.6.5-0xenial) xenial; urgency=high

  * update diagnostics.yaml to show kobuki battery properly in kobuki dashboard. Fix #350 <https://github.com/yujinrobot/kobuki/issues/350>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 21 Nov 2014 05:00:00 -0000

ros-kinetic-kobuki-node (0.6.4-0xenial) xenial; urgency=high

  * Merge branch 'indigo' of https://github.com/yujinrobot/kobuki into indigo
  * rename run_depend of kobuki_node from kobuki_apps to kobuki_rapps
  * Contributors: Jihoon Lee

 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 26 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-node (0.6.3-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 25 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-node (0.6.2-0xenial) xenial; urgency=high

  * add queue_size on publiehrs #338 <https://github.com/yujinrobot/kobuki/issues/338>
  * fixing the file link resolves #339 <https://github.com/yujinrobot/kobuki/issues/339>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 11 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-node (0.6.1-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 08 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-node (0.6.0-0xenial) xenial; urgency=high

  * remove kobuki_capabilities dependency from package.xml remove author emails
  * moves app manager launcher to kobuki_capabilities (solves #331 <https://github.com/yujinrobot/kobuki/issues/331>)
  * kobuki_node: adds shutdown flag to nodelet (fixes #324 <https://github.com/yujinrobot/kobuki/issues/324>)
  * fixes typo
  * updates icons for apps and app manager launcher
  * adds minor changes due to capability server and app manager updates
  * updates for new rapp lists
  * publish_tf arg for the launcher.
  * removes rviz launcher and dependency (fixes #315 <https://github.com/yujinrobot/kobuki/issues/315>)
  * adds app manager and capability server launcher for kobuki
  * Add missing run dependency on yocs_cmd_vel_mux
  * Contributors: Daniel Stonier, Jihoon Lee, Jorge Santos, Marcus Liebhardt

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 08 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-node (0.5.5-0xenial) xenial; urgency=high

  * Add ftdi dependency.

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 11 Oct 2013 04:00:00 -0000

ros-kinetic-kobuki-node (0.5.4-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 06 Sep 2013 04:00:00 -0000

ros-kinetic-kobuki-node (0.5.3-0xenial) xenial; urgency=high

  * adds view robot launcher.

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 30 Aug 2013 04:00:00 -0000

ros-kinetic-kobuki-node (0.5.0-0xenial) xenial; urgency=high

  * Added new interface about custom PID gain setting.
  * Added extra url info on all packages.
  * Updated old rnd email address.
  * lock api for protecting data access with asynchronous getXXX calls.
  * Fix URL to the previous changelog wiki.
  * Changelogs at package level.
  * Reset odometry also for heading.
  * Set use_imu_heading as true (default).
  * Do not use robot_pose_ekf. Instead, use imu for heading and encoders por x and y. However, parameter use_imu_heading makes trivial to switch back to the previous system.
  * Added a debug topic that publish actual base command sent to robot.
  * Added flexible logging features to using named logging system of ros/log4cxx.
  * Reset odometry also works for heading (gyro).
  * Do not use robot_pose_ekf; use imu for heading and encoders for position.

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 29 Aug 2013 04:00:00 -0000

ros-kinetic-kobuki-node (0.4.0-0xenial) xenial; urgency=high

  * Change deprecated state_publisher to robot_state_publisher in launch files.
  * Add launch file for full tf.

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 09 Aug 2013 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-kobuki-node
Section: misc
Priority: extra
Maintainer: Daniel Stonier <stonier@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-angles, ros-kinetic-catkin, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-ecl-exceptions, ros-kinetic-ecl-sigslots, ros-kinetic-ecl-streams, ros-kinetic-ecl-threads, ros-kinetic-geometry-msgs, ros-kinetic-kobuki-driver, ros-kinetic-kobuki-ftdi, ros-kinetic-kobuki-keyop, ros-kinetic-kobuki-msgs, ros-kinetic-kobuki-safety-controller, ros-kinetic-nav-msgs, ros-kinetic-nodelet, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf
Homepage: http://ros.org/wiki/kobuki_node
Standards-Version: 3.9.2

Package: ros-kinetic-kobuki-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-angles, ros-kinetic-capabilities, ros-kinetic-diagnostic-aggregator, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-ecl-exceptions, ros-kinetic-ecl-sigslots, ros-kinetic-ecl-streams, ros-kinetic-ecl-threads, ros-kinetic-geometry-msgs, ros-kinetic-kobuki-driver, ros-kinetic-kobuki-ftdi, ros-kinetic-kobuki-keyop, ros-kinetic-kobuki-msgs, ros-kinetic-kobuki-rapps, ros-kinetic-kobuki-safety-controller, ros-kinetic-nav-msgs, ros-kinetic-nodelet, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf
Description: ROS nodelet for Kobuki: ROS wrapper for the Kobuki driver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-kobuki-node//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
